Index: trunk/source/run/include/G4RunManager.hh
===================================================================
--- trunk/source/run/include/G4RunManager.hh	(revision 1058)
+++ trunk/source/run/include/G4RunManager.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4RunManager.hh,v 1.51 2007/11/13 19:25:13 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4RunManager.hh,v 1.52 2009/11/13 23:14:46 asaim Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
@@ -441,5 +441,5 @@
   public:
     void ConstructScoringWorlds();
-  private:
+  protected:
     void UpdateScoring();
 };
Index: trunk/source/run/include/G4UserPhysicsListMessenger.hh
===================================================================
--- trunk/source/run/include/G4UserPhysicsListMessenger.hh	(revision 1058)
+++ trunk/source/run/include/G4UserPhysicsListMessenger.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4UserPhysicsListMessenger.hh,v 1.18 2007/05/30 10:34:54 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4UserPhysicsListMessenger.hh,v 1.20 2009/10/20 07:07:51 kurasige Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
@@ -97,4 +97,5 @@
     G4UIcmdWithADoubleAndUnit * setCutCmd; 
     G4UIcommand *               setCutRCmd;
+    G4UIcommand *               setCutForAGivenParticleCmd; 
     G4UIcmdWithAnInteger *      verboseCmd;
     G4UIcmdWithoutParameter *   dumpListCmd;
Index: trunk/source/run/include/G4VUserPhysicsList.hh
===================================================================
--- trunk/source/run/include/G4VUserPhysicsList.hh	(revision 1058)
+++ trunk/source/run/include/G4VUserPhysicsList.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VUserPhysicsList.hh,v 1.35 2007/05/30 10:16:27 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4VUserPhysicsList.hh,v 1.41 2009/08/09 14:31:46 kurasige Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // 
@@ -32,11 +32,11 @@
 //	GEANT 4 class header file 
 // Class Description:
-//      This class is an abstruct class for
+//      This class is an abstract class for
 //      constructing particles and processes.
-//      User must implement following four virtual methods
-//      in his own concrete class derived from this class. 
+//      User must implement following three virtual methods
+//      in his/her own concrete class derived from this class. 
 //        G4VUserPhysicsList::ConstructParticle() 
 //           Construct particles
-//        G4VUserPhysicsList::constructPhysics() 
+//        G4VUserPhysicsList::ConstructProcess() 
 //           Construct procesess and register them to particles
 //        G4VUserPhysicsList::SetCuts()
@@ -111,5 +111,5 @@
    // Each physics process will be instantiated and
    // registered to the process manager of each particle type 
-   // This method is invoked in Construct" method 
+   // This method is invoked in Construct method 
    virtual void ConstructProcess() = 0;
 
@@ -178,5 +178,5 @@
     // Request to print out information of cut values
     // Printing will be performed when all tables are made
-    void DumpCutValuesTable(G4int nParticles=3);
+    void DumpCutValuesTable(G4int nParticles=4);
 
     // The following method actually trigger the print-out requested
@@ -258,5 +258,16 @@
 			   G4ProcessManager*    newManager = 0 );
  
- 
+   /////////////////////////////////////////////////////////////////
+  public:
+    // check consistencies of list of particles 
+
+    void CheckParticleList();
+
+    void DisableCheckParticleList();
+ 
+ protected: 
+ 
+    bool fDisableCheckParticleList;
+
   ////////////////////////////////////////////////////////////////////////
   protected:
@@ -292,4 +303,7 @@
    // flag for displaying the range cuts & energy thresholds
    G4int fDisplayThreshold;
+
+  // flag for Physics Table has been built 
+   G4bool fIsPhysicsTableBuilt;
 
   private:
@@ -333,4 +347,5 @@
 #endif
   ConstructProcess();
+
 }
 
@@ -385,4 +400,12 @@
   fStoredInAscii = false;
 }
+
+inline 
+ void  G4VUserPhysicsList::DisableCheckParticleList()
+{   
+  fDisableCheckParticleList = true;
+}
+
+
 #endif
 
